diff -uNr mythtv-0.21/contrib/Win32/run/mythfrontend.cmd mythtv/contrib/Win32/run/mythfrontend.cmd
--- mythtv-0.21/contrib/Win32/run/mythfrontend.cmd	1970-01-01 01:00:00.000000000 +0100
+++ mythtv/contrib/Win32/run/mythfrontend.cmd	2008-04-24 05:07:09.000000000 +0200
@@ -0,0 +1,57 @@
+@Echo off
+::
+:: Script to run mythfrontend through gdb (easily?)
+:: There is likely a more efficient way of doing this, 
+:: but we have to start somewhere.
+::
+Echo COMMENTS: --------------------------------------
+Echo COMMENTS: This script is used for gathering backtraces using gdb
+Echo COMMENTS: See: http://www.mythtv.org/docs/mythtv-HOWTO-22.html#ss22.2
+Echo COMMENTS: See: http://www.mythtv.org/wiki/index.php/Windows_Port
+Echo COMMENTS: --------------------------------------
+Echo.
+::
+:gdbcommands
+::
+:: Check for and Create if needed the .\gdbcommands.txt 
+::
+:: syntax taken from [ http://www.mythtv.org/docs/mythtv-HOWTO.html#toc22.2 ] 
+::
+if not exist ./gdbcommands.txt (
+    echo handle SIGPIPE nostop noprint > .\gdbcommands.txt
+    echo handle SIG33   nostop noprint >> .\gdbcommands.txt
+    echo set logging on     >> .\gdbcommands.txt
+    echo set pagination off >> .\gdbcommands.txt
+    echo set args -l myth.log -d -v all >> .\gdbcommands.txt
+    echo run >> .\gdbcommands.txt
+    echo thread apply all bt full >> .\gdbcommands.txt
+    echo set logging off >> .\gdbcommands.txt )
+@Echo off
+
+Echo COMMENTS: --------------------------------------
+Echo COMMENTS: Clearing old gdb.txt before running gdb again.
+Echo COMMENTS: --------------------------------------
+Echo. 
+::
+:: add current data/time to gdb.txt 
+:: will this be a bad idea? who knows? =) 
+::
+date /t > .\gdb.txt
+time /t >> .\gdb.txt
+
+:gdb
+::
+:: gdb should be in the path. 
+::
+Echo COMMENTS: --------------------------------------
+Echo COMMENTS: If you need to add any switches to mythfrontend edit gdbcommands.txt
+Echo COMMENTS: see: "mythfrontend.exe --help" for options
+Echo COMMENTS: --------------------------------------
+Echo.
+Echo COMMENTS: --------------------------------------
+Echo COMMENTS: Starting: gdb
+Echo COMMENTS: --------------------------------------
+gdb .\mythfrontend.exe -x .\gdbcommands.txt 
+Echo.
+Echo The backtrace can be found in .\gdb.txt
+Echo.
diff -uNr mythtv-0.21/contrib/Win32/win32-packager.pl mythtv/contrib/Win32/win32-packager.pl
--- mythtv-0.21/contrib/Win32/win32-packager.pl	2008-02-26 04:18:10.000000000 +0100
+++ mythtv/contrib/Win32/win32-packager.pl	2008-06-12 05:09:18.000000000 +0200
@@ -11,7 +11,7 @@
 ### originally based loosely on osx-packager.pl, but now is its own beast.
 ###
 ### =revision
-### $Id: win32-packager.pl 16258 2008-02-26 03:18:10Z nigel $
+### $Id: win32-packager.pl 17459 2008-06-12 03:09:18Z nigel $
 ###
 ### =author
 ### David Bussenschutt
@@ -68,11 +68,13 @@
 #        it has NOT been tested much, and will with HIGH PROBABILITY fail somewhere. 
 # TODO - Only $mingw is tested and most likely is safe to change.
 
-# perl compatible paths (single forward slashes in DOS style):
-my $msys = 'C:/MSys/1.0/'; # must end in slash, and use forward slashes /
-my $sources = 'C:/msys/1.0/sources/'; # must end in slash, and use forward slashes /
-my $mingw = 'C:/MinGW/'; # must end in slash, and use forward slashes /
-my $mythtv = 'C:/mythtv/';  # this is where the entire SVN checkout lives so c:/mythtv/mythtv/ is the main codebase.  # must end in slash, and use forward slashes /
+# Perl compatible paths. DOS style, but forward slashes, and must end in slash:
+my $msys    = 'C:/MSys/1.0/';
+my $sources = 'C:/msys/1.0/sources/';
+my $mingw   = 'C:/MinGW/';
+my $mythtv  = 'C:/mythtv/';       # this is where the entire SVN checkout lives
+                                  # so c:/mythtv/mythtv/ is the main codebase.
+my $build   = 'C:/mythtv/build/'; # where 'make install' installs into
 
 # DOS executable CMD.exe versions of the paths (for when we shell to DOS mode):
 my $dosmsys    = perl2dos($msys);
@@ -80,11 +82,17 @@
 my $dosmingw   = perl2dos($mingw); 
 my $dosmythtv  = perl2dos($mythtv);
 
-# unix/msys equivalent versions of the paths (for when we shell to MSYS/UNIX mode):
-my $unixmsys = '/'; # msys root is always mounted here, irrespective of where DOS says it really is.
-my $unixmingw = '/mingw/'; # mingw is always mounted here under unix, if you setup mingw right in msys, so we will usually just say /mingw in the code, not '.$unixmingw.' or similar (see /etc/fstab)
-my $unixsources = perl2unix($sources); $unixsources =~ s#$unixmsys#/#i;  #strip leading msys path, if there, it's unnecessary as it's mounted under /
+# Unix/MSys equiv. versions of the paths (for when we shell to MSYS/UNIX mode):
+my $unixmsys  = '/';       # MSys root is always mounted here,
+                           # irrespective of where DOS says it really is.
+my $unixmingw = '/mingw/'; # MinGW is always mounted here under unix,
+                           # if you setup mingw right in msys,
+                           # so we will usually just say /mingw in the code,
+                           # not '.$unixmingw.' or similar (see /etc/fstab)
+my $unixsources = perl2unix($sources);
+$unixsources =~ s#$unixmsys#/#i;  #strip leading msys path, if there, it's unnecessary as it's mounted under /
 my $unixmythtv  = perl2unix($mythtv);
+my $unixbuild   = perl2unix($build);
 
 
 #NOTE: ITS IMPORTANT that the PATHS use the correct SLASH-ing method for the type of action:
@@ -520,7 +528,16 @@
 [ grep => ['Makefile|MAKEFILE',$mythtv.'mythtv/Makefile'], shell => ['rm '.$unixmythtv.'mythtv/Makefile','nocheck'], comment => 'broken Makefile, delete it' ],
 
 # configure
-[ file => $mythtv.'mythtv/Makefile', shell => ['source '.$unixmythtv.'qt_env.sh','cd '.$unixmythtv.'mythtv','./configure --prefix=/usr --disable-dbox2 --disable-hdhomerun --disable-dvb --disable-ivtv --disable-iptv --disable-joystick-menu --disable-xvmc-vld --disable-x11 --disable-xvmc --enable-directx --enable-memalign-hack --cpu=k8 --compile-type=debug'], comment => 'do we already have a Makefile for mythtv?' ],
+[ file => $mythtv.'mythtv/Makefile',
+ shell => ['source '.$unixmythtv.'qt_env.sh',
+           'cd '.$unixmythtv.'mythtv',
+           './configure --prefix='.$unixbuild.' --runtime-prefix=..'.
+           ' --disable-dbox2 --disable-hdhomerun'.
+           ' --disable-dvb --disable-ivtv --disable-iptv'.
+           ' --disable-joystick-menu --disable-xvmc-vld --disable-x11'.
+           ' --disable-xvmc --enable-directx'.
+           ' --enable-memalign-hack --cpu=k8 --compile-type=debug'],
+comment => 'do we already have a Makefile for mythtv?' ],
 # make
 [ newer => [$mythtv.'mythtv/libs/libmyth/libmyth-0.21.dll',$mythtv.'mythtv/last_build.txt'], shell => ['rm '.$unixmythtv.'mythtv/libs/libmyth/libmyth-0.21.dll','source '.$unixmythtv.'qt_env.sh','cd '.$unixmythtv.'mythtv','make'], comment => 'libs/libmyth/libmyth-0.21.dll - redo make unless all these files exist, and are newer than the last_build.txt identifier' ],
 [ newer => [$mythtv.'mythtv/libs/libmythtv/libmythtv-0.21.dll',$mythtv.'mythtv/last_build.txt'], shell => ['rm '.$unixmythtv.'mythtv/libs/libmythtv/libmythtv-0.21.dll','source '.$unixmythtv.'qt_env.sh','cd '.$unixmythtv.'mythtv','make'], comment => 'libs/libmythtv/libmythtv-0.21.dll - redo make unless all these files exist, and are newer than the last_build.txt identifier' ],
diff -uNr mythtv-0.21/docs/doxygen-architecture-document.cpp mythtv/docs/doxygen-architecture-document.cpp
--- mythtv-0.21/docs/doxygen-architecture-document.cpp	2008-01-07 04:04:51.000000000 +0100
+++ mythtv/docs/doxygen-architecture-document.cpp	2008-06-12 05:09:18.000000000 +0200
@@ -163,7 +163,7 @@
   <dt>osx-packager.pl   <dd>Downloads and builds all dependencies, then the
                             source, of %MythTV and all the official plugins,
                             on Mac OS 10.3 thru 10.5
-  <dt>win32-packager.pl <dd>Similar tool for Windows XP
+  <dt>win32-packager.pl <dd>Similar tool for Windows XP and Vista
 </dl>
  */
 
@@ -458,7 +458,7 @@
 
 The custom protocol is an ASCII encoded length and command string.
 Command sequences can be easily sent to the backend using telnet.
-<I>%e.g.</I> \verbatim telnet 127.0.0.1 5432
+<I>%e.g.</I> \verbatim telnet 127.0.0.1 6543
 Trying 127.0.0.1...
 Connected to localhost.
 Escape character is '^]'.\endverbatim
@@ -493,6 +493,70 @@
 
  */
 
+/** \defgroup myth_startup Myth startup sequence
+This line is filler that is ignored by Doxygen.
+
+Most MythTV programs follow a common sequence:
+<ol>
+  <li>Process (parse) command-line arguments</li>
+  <li>Create a MythContext object, which stores paths for later location
+      of runtime assets (filters/fonts/plugins/themes/translations)</li>
+  <li>(optionally) Create a UPnP client or server</li>
+  <li>Initialise the MythContext, which:</li>
+  <ul>
+    <li>Tries to find a database on localhost,
+        or on the host specified in mysql.txt,</li>
+    <li>Tries to locate exactly one backend host via UPnP,
+        to find its database,</li>
+    <li>If possible, displays a list of all backends located via UPnP
+        for the user to choose from, or</li>
+    <li>Fails</li>
+  </ul>
+  <li>Create the main window/screen, display themed menus, <i>et c.</i></li>
+</ol>
+(examine program/*/main.cpp, and libs/libmyth/mythcontext.cpp,
+for further detail).
+
+<p>
+
+The "runtime assets" mentioned above are stored in a number of well-known
+locations. The following methods in MythContext allow programs and plugins
+to access these assets:
+<ol>
+  <li>GetInstallPrefix() returns the value of MCP's m_installprefix variable,
+      which is either the runtime env. var. $MYTHTVDIR or the compile-time var.
+      RUNPREFIX. If these are relative paths, it is initialised relative to the
+      binary location. The value is used thus:
+  <ul>
+    <li>GetInstallPrefix() + /share/mythtv/ = GetShareDir(), GetFontsDir()</li>
+    <li>GetInstallPrefix() + /share/mythtv/themes/ = GetThemesParentDir()</li>
+    <li>GetInstallPrefix() + /share/mythtv/i18n/   = GetTranslationsDir()</li>
+    <li>GetInstallPrefix() + /share/mythtv/mytharchive</li>
+    <li>GetInstallPrefix() + /share/mythtv/mytharchive/themes</li>
+    <li>GetInstallPrefix() + /share/mythtv/mytharchive/scripts</li>
+    <li>GetInstallPrefix() + /share/mythtv/mythflix/scripts</li>
+    <li>GetInstallPrefix() + /share/mythtv/mythnews</li>
+    <li>GetInstallPrefix() + /share/mythtv/mythvideo/scripts</li>
+    <li>GetInstallPrefix() + /share/mythtv/mythweather</li>
+    <li>GetInstallPrefix() + /share/mythtv/mythweather/scripts</li>
+    <li>GetInstallPrefix() + /bin/ignyte</li>
+    <li>GetInstallPrefix() + /bin/mythfilldatabase</li>
+    <li>GetInstallPrefix() + /bin/mtd</li>
+    <li>GetInstallPrefix() + /lib/mythtv/ = GetLibraryDir()</li>
+    <li>GetInstallPrefix() + /lib/mythtv/plugins/ = GetPluginsDir()</li>
+    <li>GetInstallPrefix() + /lib/mythtv/filters/ = GetFiltersDir()</li>
+  </ul></li>
+
+  <li>GetConfDir() returns the value of the runtime env. var. $MYTHCONFDIR,
+      or $HOME/.mythtv.</li>
+
+  <li>mysql.txt is loaded from GetShareDir(), GetInstallPrefix() + /etc/mythtv,
+      GetConfDir(), and the current directory. Later files override the values
+      from earlier ones.</li>
+</ol>
+
+ */
+
 /** \defgroup qobject_dangers QObject is dangerous for your health
 This line is filler that is ignored by Doxygen.
 
diff -uNr mythtv-0.21/docs/doxygen-create-developer-docs.cfg mythtv/docs/doxygen-create-developer-docs.cfg
--- mythtv-0.21/docs/doxygen-create-developer-docs.cfg	2008-01-09 03:59:45.000000000 +0100
+++ mythtv/docs/doxygen-create-developer-docs.cfg	2008-05-05 17:30:02.000000000 +0200
@@ -23,7 +23,7 @@
 # This could be handy for archiving the generated documentation or 
 # if some version control system is used.
 
-PROJECT_NUMBER         = 0.20
+PROJECT_NUMBER         = 0.21
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
 # base path where the generated documentation will be put. 
diff -uNr mythtv-0.21/docs/mythtv-HOWTO.sgml mythtv/docs/mythtv-HOWTO.sgml
--- mythtv-0.21/docs/mythtv-HOWTO.sgml	2008-03-05 22:38:21.000000000 +0100
+++ mythtv/docs/mythtv-HOWTO.sgml	2009-01-20 17:29:36.000000000 +0100
@@ -3,7 +3,7 @@
 <title>Installing and using MythTV
 <author>Robert Kulagowski, <url url="mailto:rkulagow@rocketmail.com"
 name="mailto:rkulagow@rocketmail.com">
-<date>2008-03-05, v0.21.00pre
+<date>2009-01-20, v0.21.07
 <abstract>
 Initially, installation of MythTV seems like a huge task.  There are lots
 of dependencies, and various distributions seem to do the same thing
@@ -91,16 +91,20 @@
 See <url url="http://mysettopbox.tv" name="http://mysettopbox.tv"> if you'd
 like to install a custom version of Knoppix optimized for MythTV.
 
-See <url url="http://linpvr.org" name="http://linpvr.org"> if you'd like
-to install MythTV onto a VIA Epia M machine.
+See <url url="http://www.minimyth.org" name="http://www.minimyth.org"> if you'd like
+to install MythTV onto a diskless system.
 
 See <url url="http://bit.blkbk.com" name="http://bit.blkbk.com"> if you'd
 like to install MythTV on a Xbox.
+<bf>NOTE</bf>:  Site appears unmaintained.
 
 See <url url="http://wilsonet.com/mythtv/"
 name="http://wilsonet.com/mythtv/"> for instructions tailored to RedHat's
 Fedora Core distribution.
 
+See <url url="http://www.mythbuntu.org" name="http://www.mythbuntu.org"> if
+you'd like to install a customized version of Ubuntu optimized for MythTV.
+
 There is a MythTV wiki at <url url="http://wiki.mythtv.org"
 name="http://wiki.mythtv.org">.
 
@@ -490,6 +494,12 @@
 on-board MPEG-2 encoder greatly reduces the CPU requirements for
 encoding.
 
+The ivtv driver was incorporated into the Linux kernel starting at v2.6.22.
+
+There is a Beta driver for the HVR-1600 card at <url
+url="http://www.ivtvdriver.org/index.php/Cx18"
+name="http://www.ivtvdriver.org/index.php/Cx18">
+
 <bf>NOTE</bf>:  Motherboards with the Via chipset are notoriously bad with
 DMA and have caused numerous issues with ivtv, including hard locks.  See
 the ivtv website <url url="http://ivtvdriver.org" name="http://ivtvdriver.org">
@@ -530,10 +540,11 @@
 <sect3>HDTV.
 <p>There are a number of HDTV cards with Linux drivers which are known to
 operate in the United States; a complete list of cards with DVB drivers can
-be found at <url url="http://www.linuxtv.org/wiki/index.php/ATSC_devices"
-name="http://www.linuxtv.org/wiki/index.php/ATSC_devices"> Some cards support
-capture of unencrypted digital cable TV (utilizing QAM256), others will only
-work with Over The Air signals captured with an antenna (with 8VSB).
+be found at <url url="http://www.linuxtv.org/wiki/index.php/ATSC_Devices"
+name="http://www.linuxtv.org/wiki/index.php/ATSC_Devices"> Some cards
+support capture of unencrypted digital cable TV (utilizing QAM256), others
+will only work with Over The Air (aka "OTA") signals captured with an
+antenna (with 8VSB).
 
 Cards that have been reported to work include:
 <itemize>
@@ -596,8 +607,8 @@
 Plextor to capture hardware encoded MPEG-4, so the host CPU requirements are low.
 
 Hauppauge WinTV-PVR-USB2 (driver available at <url
-url="http://www.isely.net/pvrusb2/" name="http://www.isely.net/pvrusb2/">) emulates a PVR-x50
-card.
+url="http://www.isely.net/pvrusb2/" name="http://www.isely.net/pvrusb2/">)
+emulates a PVR-x50 card.
 
 <sect3>IP Recorder (RTSP, RTS, UDP)
 <p>MPEG-2, MPEG-4 and H.264 internet TS stream recording is supported using
@@ -619,14 +630,6 @@
 <item>Hauppauge WinTV-USB series
 <item>Hauppauge WinTV-PVR-usb (model 602), or WinTV-PVR-PCI (model 880) cards (no driver - this is not the PVR-250/350
 series of cards supported by the IvyTV driver)
-<item>Hauppauge HVR-1600.  (no driver).  <bf>NOTE</bf>:  There have been
-reports (2006-12 timeframe) that Hauppauge is putting the HVR-1600 inside of
-the PVR-150 box; if you're purchasing a retail PVR-150, carefully examine
-the packaging - there should be some indication that the hardware inside is
-actually a HVR-1600 and not a PVR-150.  Check the Supported Hardware (<url
-url="http://www.ivtvdriver.org/index.php/Supported_hardware"
-name="http://www.ivtvdriver.org/index.php/Supported_hardware">) page of the
-ivtv driver for updated support information.
 <item>ATI All-in-Wonder series
 </itemize>
 
@@ -797,7 +800,7 @@
 <img src="warning.png">
 <caption><bf>NOTE</bf>: you must have the MySQL database software installed on a
 system to store the master database.  This does not necessarily mean that
-MySQL must run on one of the MythTV boxes.  The minimum MySQL version is 3.23.
+MySQL must run on one of the MythTV boxes.  The minimum MySQL version is 5.0.
 </caption></figure>
 
 <sect2>Pre-compiled packages <label id="precompiled">
@@ -1326,8 +1329,27 @@
 
 <label id="manually_building_mythtv">
 <sect1>Manually building MythTV
-<p>If you are going to use <bf>subversion</bf>, execute the following
-instructions to obtain the latest version of MythTV:
+<p>
+<bf>NOTE</bf>:  Unless you are reading this documentation on the day that a
+new version of MythTV is released, it is highly encouraged that you use the
+"-fixes" version of the software and not the source tarball.
+
+To download the release version, execute:
+<tscreen><verb>
+$ mkdir mythtv-release-0-21-fixes
+$ svn co http://svn.mythtv.org/svn/branches/release-0-21-fixes/ mythtv-release-0-21-fixes
+$ cd mythtv-release-0-21-fixes
+</verb></tscreen>
+
+See <url url="http://www.mythtv.org/wiki/index.php/Release_Notes_-_0.21.1"
+name="http://www.mythtv.org/wiki/index.php/Release_Notes_-_0.21.1"> for
+release notes for MythTV v0.21.1
+
+Execute the following instructions to obtain the latest version of MythTV.
+This is known as the "trunk" version and is considered the unstable code
+which is not guaranteed to work.  Use of trunk implies that you are also
+reading the mythtv-dev and mythtv-commits mailing lists; failure to read
+those mailing lists can cause your system to stop working.
 
 <tscreen><verb>
 $ mkdir mythtv
@@ -1335,21 +1357,21 @@
 $ cd mythtv
 </verb></tscreen>
 
-To use a release version, you can execute:
-<tscreen><verb>
-$ mkdir mythtv-release-0.21
-$ svn co http://svn.mythtv.org/svn/branches/release-0-21-fixes/ mythtv-release-0.21
-$ cd mythtv-release-0.21
-</verb></tscreen>
+See <url url="http://www.mythtv.org/wiki/index.php/Release_Notes_-_0.22"
+name="http://www.mythtv.org/wiki/index.php/Release_Notes_-_0.22"> for
+release notes for MythTV v0.22
 
 <bf>NOTE</bf>:  Using a svn version of the code allows you to stay
 up-to-date with changes.  So, if there's an update to the 0.21 release and
 you originally obtained it using svn, you could enter the
-mythtv-release-0.21 directory and type "svn up", which will update your copy
-with the fixed version from the website.  You would then recompile and
-install the updated 0.21 code.
+mythtv-release-0-21-fixes directory and type "svn up", which will update
+your copy with the fixed version from the website.  You would then recompile
+and install the updated 0.21 code.
+
+If you are using the tarball, then unpack it.  Again, use of the tarball is
+only appropriate if a "-fixes" branch hasn't been created for the code that
+you're running.
 
-If you are using the tarball, then unpack it:
 <tscreen><verb>
 $ tar -xjf mythtv-0.21.tar.bz2
 $ cd mythtv-0.21
@@ -1516,7 +1538,7 @@
 # emerge mythtv
 </verb></tscreen>
 <sect>MySQL.<label id="mysql">
-<p>If you install MySQL 4.x, rather than 3.x, you will also want to comment
+<p>When you install MySQL 5.x you will also want to comment
 out "log-bin" in your <tt>my.cnf</tt> configuration file. This option will
 quickly fill your "/var" disk partition with many gigabytes of data,
 unless you are doing database replication and deleting these files regularly.
@@ -1636,7 +1658,7 @@
 <bf>MySQL</bf>.
 
 <bf>NOTE</bf>:  Your distribution may have a customized MySQL configuration
-file; in Mandrive, check <tt>/etc/sysconfig/mysqld</tt> for additional
+file; in Mandriva, check <tt>/etc/sysconfig/mysqld</tt> for additional
 configuration.
 
 <sect>Configuring Sound.
@@ -2019,7 +2041,23 @@
 If <bf>irxevent</bf> isn't running, then MythTV will not respond to your remote
 control unless you're using native lirc support.
 
-<sect1>Additional information for lirc
+
+<sect1>Additional information for lirc - native mode
+<p>If you will be using native mode, your lircrc file will need to look something like this:
+<tscreen><verb>
+begin
+     remote = mceusb
+     prog = mythtv
+     button = Guide
+     config = S
+     repeat = 0
+     delay = 0
+end
+</verb></tscreen>
+
+Note that the name of the "prog" is <bf>mythtv</bf>, not <bf>mythtvfrontend</bf>
+
+<sect1>Additional information for lirc - irxevent mode
 <p>Take a look at the lircrc.example files in the <tt>contrib/configfiles/</tt>
 directory.  In my case, (Pinnacle Studio card) the channel up and down functions
 weren't working, due to the fact that the button names were different than
@@ -2729,7 +2767,7 @@
 <ref id="logrotate" name="Automatically rotating logs"> for more
 information.
 
-<sect1>Configuring a non-master backend <label id="nonmaster_backend">
+<sect1>Configuring a slave backend <label id="nonmaster_backend">
 <p>Ensure that you've granted access to the master MySQL database for remote
 backends as discussed in the section titled <ref id="modify_perm_mysql"
 name="Modifying access to the MySQL database for multiple systems"> and that
@@ -2760,16 +2798,16 @@
 If the slave backend can't communicate with the master backend due to IP
 address misconfiguration then MythTV will not function properly.
 
-Configuration of a non-master backend follows the same general procedure
+Configuration of a slave backend follows the same general procedure
 as that of the master backend, with the exception that you skip over the
 "Video Sources" step.  All possible video sources need to be defined on the
 master backend system; only the master backend will query a listings
-provider to obtain guide data for all the non-master backends.
+provider to obtain guide data for all the slave backends.
 
 <figure loc="here">
 <eps file="stop.eps" height="1cm">
 <img src="stop.png">
-<caption><bf>NOTE</bf>: Do not run <tt>mythfilldatabase</tt> on a non-master backend.
+<caption><bf>NOTE</bf>: Do not run <tt>mythfilldatabase</tt> on a slave backend.
 </caption>
 </figure>
 <sect1>Configuring and running mythfilldatabase
@@ -5913,6 +5951,8 @@
 handle SIG33 nostop noprint
 set logging on
 set pagination off
+set breakpoint pending on
+break qFatal
 set args -l myth.log -v record,channel,siparser
 run
 thread apply all bt full
@@ -7376,12 +7416,13 @@
 <item>v/V = VCT   : ATSC only
 <item>n/N = NIT   : DVB only
 <item>s/S = SDT   : DVB only
+<item>c/C = Crypt : The channel is encrypted.  If you have a CAM you should see a "C" after a few seconds.
 </itemize>
 <sect1>What is the difference between the various Hauppauge PVR models?
 <p>This is covered in the hardware section, and extensively covered on the
 Hauppauge website.  (<url
-url="http://www.hauppauge.com/pages/compare_pvr.html"
-name="http://www.hauppauge.com/pages/compare_pvr.html">) Please check the
+url="http://www.hauppauge.com/site/compare/compare_pvr.html"
+name="http://www.hauppauge.com/site/compare/compare_pvr.html">) Please check the
 Hauppauge website for the most accurate information.
 
 A PVR-150 comes in a number of versions:
@@ -7931,13 +7972,19 @@
 You can then press ESC until you return to the main screen.
 </article>
 <!-- Revision History
-v0.21.00, 2008-03-05.  Start prepping for 0.21.  Add a tip for using a
-subdirectory as the target of a storage group in case of mount failure to
-prevent root partition fillup.  Update SVN download instructions to grab the
-entire tree, so that you don't end up with versions of code / themes that
-are incompatible.  Bump XMLTV version.  bjm's recording updates.
-
 
+v0.21.00, 2008-03-10.  Initial version for 0.21.  Update link to ATSC
+devices.  Add note that ivtv driver is in kernel.  Add note that xbox
+mini-distribution site appears dead.  Update information on HVR-1600. 
+Update minimum MySQL version.
+v0.21.01, 2008-06-03.  Add mythbuntu.
+v0.21.02, 2008-06-04.  Update minimyth link.
+v0.21.03, 2008-10-27.  Update Hauppauge link.
+v0.21.04, 2009-01-01.  "Crypt" description on LAMC table.
+v0.21.05, 2009-01-02.  Expand instructions on how to use -fixes rather than
+the source tarball, put pointer to wiki for Release Notes.
+v0.21.06, 2009-01-11.  Add information for native lirc mode
+v0.21.07, 2009-01-20.  Standardize terminology for slave backends.
 -->
 
 <!--
